Problems with Eclipse 3.5.2 and installing the ADT

December 21 2010 | Android OS, Ubuntu | No Comments

On a few workstations I’m running the Ubuntu 10.04 LTS and I ran into an issue while trying to install the ADT plugin for Android development. The error I was getting was the following: a message box about an artifact file not being found.

The artifact file for osgi.bundle, org.eclipse.ant.ui,3.4.1.v20090901_r351 was not found.

The fix I found was to make sure you have both the eclipse-jdt and eclipse-pde packages installed:

sudo aptitude install eclipse-jdt eclipse-pde

Once I had the above installed, restarted Eclipse, and installed the ADT plugin, everything worked as expected.


© 2018 All logos and trademarks are copyright their respective companies.